org.eclipse.viatra.query.runtime.localsearch.operations

## Class CallOperationHelper

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.CallOperationHelper

-     public class CallOperationHelper
      extends java.lang.Object

  This utility can be used by search operations to access sub-patterns, by taking care of frame mapping, adornment calculation and other tasks required to call an `IQueryResultProvider` from the context of a Local search execution.
  Since:
    1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CallOperationHelper.PatternCall`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallOperationHelper(MatcherReference calledQuery, java.util.Map<PParameter,java.lang.Integer> parameterMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallOperationHelper.PatternCall` | `createCall(MatchingFrame frame, ISearchContext context)` Create a call object.
    `CallOperationHelper.PatternCall` | `createCall(java.util.Set<java.lang.Integer> adornment, ISearchContext context)`
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallOperationHelper

          public CallOperationHelper(MatcherReference calledQuery,
                                     java.util.Map<PParameter,java.lang.Integer> parameterMapping)

      Since:
        1.5

  - ### Method Detail

    - #### createCall

          public CallOperationHelper.PatternCall createCall(MatchingFrame frame,
                                                            ISearchContext context)
                                                     throws LocalSearchException

      Create a call object. The adornment is calculated from the given frame, considering a variable bound if it's value is not null.
      Throws:
        `LocalSearchException`
      Since:
        1.5

    - #### createCall

          public CallOperationHelper.PatternCall createCall(java.util.Set<java.lang.Integer> adornment,
                                                            ISearchContext context)
                                                     throws LocalSearchException

      Throws:
        `LocalSearchException`
      Since:
        1.5

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Since:
        1.5

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`